Bug 442353 - Review Request: ecore - Event/X abstraction layer
Review Request: ecore - Event/X abstraction layer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Patrice Dumas
Fedora Extras Quality Assurance
:
Depends On: 442276
Blocks: 442404 442437 442462 442640
  Show dependency treegraph
 
Reported: 2008-04-14 11:04 EDT by Pavel Shevchuk
Modified: 2008-05-02 23:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-02 23:19:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pertusus: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pavel Shevchuk 2008-04-14 11:04:12 EDT
Spec URL: http://rpm.scwlab.com/ecore-goes-rawhide/ecore.spec
SRPM URL: http://rpm.scwlab.com/ecore-goes-rawhide/ecore-0.9.9.042-1.fc9.src.rpm
RPMs for i386 and x86_64 built in mock: http://rpm.scwlab.com/ecore-goes-rawhide/

Description:
Ecore is the event/X abstraction layer that makes doing selections,
Xdnd, general X stuff, event loops, timeouts and idle handlers fast,
optimized, and convenient.

RPMLint is silent on all RPMs i built.
License is a bit customized, but Tom "spot" Callawayin from fedora-legal-list said it's MIT ( https://www.redhat.com/archives/fedora-legal-list/2008-April/msg00020.html )
I've been able to successfully use rpms built in mock on different machine to built software against this library.
Comment 1 Pavel Shevchuk 2008-05-02 10:27:25 EDT
* Fri May 02 2008 Pavel "Stalwart" Shevchuk <stlwrt@gmail.com> - 0.9.9.042-2
- Fixed ecore-devel dependencies
- Fixed timestamp of source tarball
- Preserve timestamps of installed files
- Added html docs

Docs are fixed for multilib

New spec: http://rpm.scwlab.com/ecore-goes-rawhide/ecore.spec
New SRPM: http://rpm.scwlab.com/fedora/e/9/ecore-0.9.9.042-2.x86_64/
ecore-0.9.9.042-2.fc9.src.rpm
Built RPMs: http://rpm.scwlab.com/fedora/e/9/
Comment 2 Patrice Dumas 2008-05-02 16:12:41 EDT
In the configure output there is
  Ecore_Evas SDL Support.......: no
Maybe something is missing from the evas build?

I think it would be better to break a bit the BuildRequires line in more
lines, and break at 80 columns (if possible).

2 man pages are without prefix, I think it is bad:
/usr/share/man/man3/Idle_Group.3.gz
/usr/share/man/man3/X_Window_System_Page.3.gz

I think it would be better to use
rm doc/man/man3/todo.3
such that if tere is no such man page, it is detected.

In ecore-x.pc there is an unneeded -L/usr/X11R6/lib, but I 
don't think it needs to be fixed: it doesn't hurt and it is for static 
linking which is not possible anyway.

None of these issues are blockers. So

* rpmlint is silent
* follow guidelines
* free software, license included
* match upstream:
a66df2b5f0b1a6abc47bb50bf2b26846  ecore-0.9.9.042.tar.bz2
* library correctly packaged
* %files section right

APPROVED

Please consider my comments before importing.
Comment 3 Pavel Shevchuk 2008-05-02 16:39:55 EDT
I intentionally left out SDL support. For Fedora target audience (desktop and 
developers) XRender + native OpenGL + DirectFB acceleration backends are enough.

Will fix BuildRequires line before importing.

Thanks for fast review.
Comment 4 Pavel Shevchuk 2008-05-02 16:41:40 EDT
New Package CVS Request
=======================
Package Name: ecore
Short Description: Event/X abstraction layer
Owners: stalwart
Branches: F-8 F-9
InitialCC:
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-05-02 18:29:28 EDT
cvs done.
Comment 6 Pavel Shevchuk 2008-05-02 23:19:07 EDT
Imported to cvs and built RPMs for f10. Thanks to everyone!

Note You need to log in before you can comment on or make changes to this bug.